//+------------------------------------------------------------------+
//|                                                     Breakout.mq4 |
//|                      Copyright  2010, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2010, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

//---- input parameters
extern int       MAFast=5;
extern int       MASlow=20;
extern int       StopLoss=20;
extern int       TakeProfit=30;
extern int       PositionSize=1;
extern int       BreakoutPips=10;
extern int       Posture=2;

//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
//----
RefreshRates();

if (Bid > iMA(NULL,30,20,0,MODE_SMA,PRICE_MEDIAN,0)+7*Point)
   
   Posture = 1;
   
if (Bid < iMA(NULL,30,20,0,MODE_SMA,PRICE_MEDIAN,0)-7*Point)
   
   Posture = 2;
    

if (Posture == 1)
 
    if (
           Ask > (BreakoutPips * Point) + iMA(NULL,MAFast,20,0,MODE_SMA,PRICE_MEDIAN,0)
       ) 
       OrderSend(Symbol(),OP_BUY,1,Ask,3,Ask-StopLoss*Point,Ask+TakeProfit*Point,0,16384,0,Green);
       
   
if (Posture == 2)   
   
  if (
        Ask < (
                  iMA(NULL,MAFast,20,0,MODE_SMA,PRICE_MEDIAN,0) - (BreakoutPips * Point)
              )
     )
                OrderSend(Symbol(),OP_SELL,1,Ask,3,Ask+StopLoss*Point,Ask-TakeProfit*Point,0,16384,0,Red);
        
Posture = 0;
//----
   return(0);
 }
  //+------------------------------------------------------------------+